## poetry 1.1.12%2Bdfsg

=== debian/changelog ===
poetry (1.1.12+dfsg-1ubuntu1) jammy-proposed; urgency=medium

  * add runtime dependency on python3-cachecontrol. LP: #1958227
  * update Maintainer to Ubuntu mailing list

 -- Rolf Leggewie <foss@leggewie.org>  Wed, 11 Jan 2023 10:44:59 +0100

poetry (1.1.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch: change regex to remove alpha, beta and release candidate
    from matched versions.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/patches: Remove patch that add the setup.py. Now poetry is builded using
    pep517.
    - Update the name of the other patches.
  * d/control: Build with pybuild's pyproject plugin. Add
    pybuild-plugin-pyproject as Build Depends.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 27 Dec 2021 17:51:58 -0300

poetry (1.1.11+dfsg-3) unstable; urgency=medium

  * debian/patches/PR3544.patch
    - add upstream PR 3544, fixes a failure running test on python 3.10

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Dec 2021 01:24:46 -0500

poetry (1.1.11+dfsg-2) unstable; urgency=medium

  * source-only upload

 -- Sandro Tosi <morph@debian.org>  Mon, 20 Dec 2021 23:54:12 -0500

poetry (1.1.11+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #947261)

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 31 Mar 2020 21:29:12 -0300
