## poetry 1.1.14+dfsg

=== Makefile ===
--- 
+++ 
@@ -48,15 +48,22 @@
 
 linux_release:
 	docker pull quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5
+	docker pull quay.io/pypa/manylinux2010_x86_64:2022-02-05-4cb577c
 	docker run --rm -i -v `pwd`:/io \
+		-e VENDOR_ONLY=1 \
 		-e PYTHON=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON27=/opt/python/cp27-cp27m/bin/python \
 		-e PYTHON35=/opt/python/cp35-cp35m/bin/python \
+		quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5 sh -c "cd /io && ./make-nix-release.sh"
+	docker run --rm -i -v `pwd`:/io \
+		-e VENDOR_REUSE=1 \
+		-e PYTHON=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON36=/opt/python/cp36-cp36m/bin/python \
 		-e PYTHON37=/opt/python/cp37-cp37m/bin/python \
 		-e PYTHON38=/opt/python/cp38-cp38/bin/python \
 		-e PYTHON39=/opt/python/cp39-cp39/bin/python \
-		quay.io/pypa/manylinux2010_x86_64:2021-02-06-3d322a5 sh -c "cd /io && ./make-nix-release.sh"
+		-e PYTHON310=/opt/python/cp310-cp310/bin/python \
+		quay.io/pypa/manylinux2010_x86_64:2022-02-05-4cb577c sh -c "cd /io && ./make-nix-release.sh"
 
 # run tests against all supported python versions
 tox:
