=== debian/changelog ===
poetry (1.1.14+dfsg-1ubuntu1) kinetic; urgency=medium

  * add runtime dependency on python3-cachecontrol. LP: #1958227
  * update Maintainer to Ubuntu mailing list

 -- Rolf Leggewie <foss@leggewie.org>  Wed, 11 Jan 2023 18:09:40 +0100

poetry (1.1.14+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/PR3544.patch: Remove patch, already applied by the upstream.
  * d/control: Bump Standards-Version to 4.6.1 (from 4.6.0.1). No changes
    needed.
  * d/copyright: Update Copyright year for debian/* files.
  * d/rules: Remove .gitignore file from poetry/_vendor.
  * d/rules: Remove execution permissions to upstream files in poetry folder:
    factory.py, mixology/partial_solution.py, mixology/term.py,
    mixology/version_solver.py, puzzle/provider.py,
    repositories/legacy_repository.py, repositories/pool.py,
    repositories/pypi_repository.py, repositories/repository.py.
  * d/control: Remove python3-setuptools from build Depends.
  * d/control: Add <!nochek> profile in Build Depends to the packages that
    are used in tests.
  * d/tests: Add autopkgtests.
  * d/control: Remove trivial autopkgtest-pkg-python.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 21 Aug 2022 14:40:13 -0400
