=== debian/rules ===
--- 
+++ 
@@ -47,4 +47,14 @@
 execute_after_dh_install:
 	set -e ; for pyver in $(PYVERS); do \
 		rm -rf $(DESTDIR)/usr/lib/python$$pyver/dist-packages/foo/ ;\
+		rm $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/_vendor/.gitignore ;\
+	        chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/factory.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/partial_solution.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/term.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/version_solver.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/puzzle/provider.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/legacy_repository.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pool.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pypi_repository.py ;\
+		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/repository.py ;\
 	done
