=== debian/tests/control ===
Tests: pytest
Depends: git,
         python3-all,
         python3-cachecontrol,
         python3-httpretty,
         python3-jsonschema,
         python3-keyring,
         python3-pyparsing,
         python3-pyrsistent,
         python3-pytest,
         python3-pytest-mock,
         @,
Restrictions: allow-stderr, needs-root
