=== debian/changelog ===
poetry (1.3.2+dfsg-3) unstable; urgency=medium

  * d/control: Remove python3-pylev as a B-Depends. This is a B-Depends of
    python3-cleo.
    - d/tests/control: Remove python3-pylev as dependency of the autopkgtest.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 17 Jan 2023 18:59:26 -0300

poetry (1.3.2+dfsg-2) unstable; urgency=medium

  * d/control: Add python3-pylev as a Build Depends (Closes: #1028913).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 14 Jan 2023 20:42:56 -0300

poetry (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/tests/control: Add python3-cachy to autopkgtest dependency.
    - Ignore tests/utils/test_helpers.py test file as in d/rules.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 12 Jan 2023 07:20:09 -0300

poetry (1.3.1+dfsg-2) unstable; urgency=medium

  * d/rules: Ignore some tests that use internet (Closes: #1028240).
    - Add the ignored tests to autopkgtest.
  * d/tests/control: Add python3-pylev as dependency.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 09 Jan 2023 22:38:41 -0300

poetry (1.3.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore more tests that need more work after Debian freeze.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.1). No changes
    needed.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 07 Jan 2023 23:41:25 -0300

poetry (1.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1023612, #1025025).
  * d/control: Add new packages as Build Depends: python3-deepdiff,
    python3-dulwich, python3-pip, python3-pytest-xdist, python3-venv,
    python3.11-venv.
  * d/rules: Skip tests, they need more work before active them:
    test_package_partial_yank, test_run_installs_with_same_version_url_files,
    test_env_info_displays_complete_info, test_skip_existing_output,
    test_installer_should_use_the_locked_version_of_git_dependencies_with_extras,
    test_installer_should_use_the_locked_version_of_git_dependencies_without_reference,
    test_installer_uses_prereleases_if_they_are_compatible,
    test_requirement_git_subdirectory and test_config.py.
  * d/patches: Remove all patches they are not longer needed.
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch: Add patch
    to make poetry accept Python version string with a + at the end.
  * d/tests/: Update autopkgtests to work with new upstream release.
    - d/tests/control: Add python3-pytest-xdist, python3-venv, python3.11-venv
    as dependencies.
    - d/tests/pytest: Update the ignore tests. They are the same as in
    d/rules.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 17 Nov 2022 10:32:39 -0300
