=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: poetry
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
 Build-Depends: debhelper-compat (= 13),
                git (>= 1:2.33.0),
@@ -13,23 +12,29 @@
                python3-cleo (>= 0.8.1),
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
+               python3-deepdiff <!nocheck>,
+               python3-dulwich,
                python3-html5lib (>= 0.3.1),
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
                python3-keyring (>= 22.0.1),
                python3-lockfile (>= 1:0.12.2),
                python3-pexpect (>= 4.8.0),
+               python3-pip,
                python3-pkginfo (>= 1.7.0),
                python3-poetry-core (>= 1.0.7),
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
                python3-pytest-mock (>= 1.10.4) <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-requests (>= 2.25.1),
                python3-requests-toolbelt (>= 0.9.1),
                python3-shellingham (>= 1.3.2),
+               python3-venv,
                python3-virtualenv (>= 20.4.0),
-Standards-Version: 4.6.1
+               python3.11-venv,
+Standards-Version: 4.6.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
@@ -38,7 +43,6 @@
 Package: python3-poetry
 Architecture: all
 Depends: python3-lockfile (>= 1:0.12.2),
-         python3-cachecontrol,
          ${misc:Depends},
          ${python3:Depends},
 Description: Python dependency management and packaging made easy (Python 3)
