=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 			--ignore=tests/console/commands/env/test_remove.py \
 			--ignore=tests/console/commands/env/test_use.py \
 			--ignore=tests/utils/test_env.py \
+			--ignore=tests/config/test_config.py \
+			--ignore=tests/utils/test_helpers.py \
 			-k 'not test_self_update_should_install_all_necessary_elements \
 			and not test_add_file_constraint_sdist \
 			and not test_add_file_constraint_sdist_old_installer \
@@ -30,7 +32,23 @@
 			and not test_exporter_can_export_requirements_txt_with_file_packages_and_markers \
 			and not test_lock_no_update \
 			and not test_locker_dumps_dependency_information_correctly \
-			'
+			and not test_package_partial_yank \
+			and not test_run_installs_with_same_version_url_files \
+			and not test_env_info_displays_complete_info \
+			and not test_skip_existing_output \
+			and not test_installer_should_use_the_locked_version_of_git_dependencies_with_extras \
+			and not test_installer_should_use_the_locked_version_of_git_dependencies_without_reference \
+			and not test_installer_uses_prereleases_if_they_are_compatible \
+			and not test_requirement_git_subdirectory \
+			and not test_check_valid \
+			and not test_check_invalid \
+			and not test_packages_property_returns_empty_list \
+			and not test_parse_dependency_specification \
+			and not test_info_setup_missing_mandatory_should_trigger_pep517 \
+			and not test_uninstall_git_package_nspkg_pth_cleanup \
+			and not test_executor_should_write_pep610_url_references_for_directories \
+			and not test_executor_should_write_pep610_url_references_for_git \
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories'
 
 export http_proxy=
 export https_proxy=
