## poetry 1.6.1+dfsg

=== debian/changelog ===
poetry (1.6.1+dfsg-2) unstable; urgency=medium

  * d/rules: Skip the next tests that use internet (Closes: #1050688):
   - test_installer_with_pypi_repository
   - test_prepare_directory_editable
   - test_prepare_directory
   - test_prepare_directory_with_extensions

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 12 Sep 2023 22:01:38 -0300

poetry (1.6.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: override dh_auto_test to avoid remove egg-info folder. Some
    poetry tests use egg-info folders created for tests purpose as fixtures
    (Closes: #1050688).
  * d/rules: Ignore
    test_solver_ignores_explicit_repo_for_transient_dependencies and
    test_chooser_md5_remote_fallback_to_sha256_inline_calculation tests
    because they use ignored tar.gz files.
    - d/tests/pytest: Ignore these tests in autopkgtest.
  * d/patches: Update
    0001-Accept-Python-version-string-with-a-at-the-end.patch patch according
    to new upstream release code.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 07 Sep 2023 11:49:59 -0300

poetry (1.5.1+dfsg-4) unstable; urgency=medium

  * d/control: Pin python3-poetry-core B-Depends to >= 1.6.1 (Closes:
    #1050362)

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 23 Aug 2023 21:35:55 -0300

poetry (1.5.1+dfsg-3) unstable; urgency=medium

  * d/tests/control: Add gcc package as Depends. It is needed for tests
    and is not installed in the autopkgtests machine.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 09 Aug 2023 09:26:38 -0300

poetry (1.5.1+dfsg-2) unstable; urgency=medium

  * d/tests/pytest: Ignore tests for autopkgtest:
    - test_executor_should_write_pep610_url_references_for_non_wheel_urls
    - test_executor_should_write_pep610_url_references_for_non_wheel_files
    - test_prepare_sdist
    - test_shell.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 08 Aug 2023 09:37:10 -0300

poetry (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0002-Loosen-platformdirs-dependency.patch: Remove patch, is not
    longer needed. The platformdirs was bumped to 3.
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch: Update
    patch according to new upstream version.
  * d/patches/skip-test-with-prefer-active-python-key.patch: Add new patch to
    skip tests that use the experimental key prefer-active-python in
    pyproject.toml.
  * d/control: Add python3-trove-classifiers as a Build Dependency.
    - Also add python3-trove-classifiers as Dependency in d/tests/control file.
  * d/rules: Ignore the next test the need more work before active them:
    - test_executor_should_write_pep610_url_references_for_git_with_subdirectories
    - test_executor_should_write_pep610_url_references_for_non_wheel_urls
    - test_executor_should_write_pep610_url_references_for_non_wheel_files
    - test_prepare_sdist
    - test_shell. This tests fails because an issue in shellingham Debian package
      (no bug reported yet). When it is fixed this test will be activated
      again.
  * d/rules: Remove execute_after_dh_install target.
    - The foo folder and .gitignore file is not installed anymore by the upstream.
    - The Python fles: factory.py, mixology/partial_solution.py,
      mixology/term.py, mixology/version_solver.py, puzzle/provider.py,
      repositories/legacy_repository.py, repositories/pool.py,
      repositories/pypi_repository.py and repositories/repository.py are not
      created with execution permission anymore.
  * d/control: Add python3-tomlkit as Build-Depends.
    - d/tests/control: Add python3-tomlkit as Dependency.
  * d/control: Add python3-all-dev as Build-Depends. Also add it to
    d/tests/control file.
  * d/control: Update my contact information in Uploaders field.
    - d/copyright: Update my contact information in debian/* files copyright.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 07 Aug 2023 12:26:08 -0300

poetry (1.3.2+dfsg-5) unstable; urgency=medium

  * Upload to unstable.
  * Exclude a test that requires network access.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 14 Jun 2023 16:10:40 -0400

poetry (1.3.2+dfsg-4) experimental; urgency=medium

  * Team upload.
  * Patch: Loosen platformdirs dependency.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 01 Mar 2023 21:48:29 -0400
