=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                git (>= 1:2.33.0),
                pybuild-plugin-pyproject,
                python3-all,
+               python3-all-dev,
                python3-cachecontrol (>= 0.12.6),
                python3-cachy (>= 0.3.0),
                python3-cleo (>= 0.8.1),
@@ -22,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 1.0.7),
+               python3-poetry-core (>= 1.6.1),
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
@@ -31,6 +32,8 @@
                python3-requests (>= 2.25.1),
                python3-requests-toolbelt (>= 0.9.1),
                python3-shellingham (>= 1.3.2),
+               python3-tomlkit,
+               python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
                python3.11-venv,
