=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 			-k 'not test_self_update_should_install_all_necessary_elements \
 			and not test_add_file_constraint_sdist \
 			and not test_add_file_constraint_sdist_old_installer \
+			and not test_builder_setup_generation_runs_with_pip_editable \
 			and not test_publish_dry_run \
 			and not test_info_from_sdist \
 			and not test_installer_can_install_dependencies_from_forced_source \
@@ -48,7 +49,20 @@
 			and not test_uninstall_git_package_nspkg_pth_cleanup \
 			and not test_executor_should_write_pep610_url_references_for_directories \
 			and not test_executor_should_write_pep610_url_references_for_git \
-			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories'
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories \
+			and not test_executor_should_write_pep610_url_references_for_git_with_subdirectories \
+			and not test_executor_should_write_pep610_url_references_for_non_wheel_urls \
+			and not test_executor_should_write_pep610_url_references_for_non_wheel_files \
+			and not test_prepare_sdist \
+			and not test_shell \
+			and not test_chooser_md5_remote_fallback_to_sha256_inline_calculation \
+			and not test_solver_ignores_explicit_repo_for_transient_dependencies \
+			and not test_installer_with_pypi_repository \
+			and not test_prepare_directory_editable \
+			and not test_prepare_directory \
+			and not test_prepare_directory_with_extensions'
+
+
 
 export http_proxy=
 export https_proxy=
@@ -61,18 +75,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-
-execute_after_dh_install:
-	set -e ; for pyver in $(PYVERS); do \
-		rm -rf $(DESTDIR)/usr/lib/python$$pyver/dist-packages/foo/ ;\
-		rm $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/_vendor/.gitignore ;\
-	        chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/factory.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/partial_solution.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/term.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/mixology/version_solver.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/puzzle/provider.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/legacy_repository.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pool.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/pypi_repository.py ;\
-		chmod -x $(DESTDIR)/usr/lib/python$$pyver/dist-packages/poetry/repositories/repository.py ;\
-	done
+override_dh_auto_clean:
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
