## poetry 1.8.2+dfsg

=== debian/changelog ===
poetry (1.8.2+dfsg-1ubuntu2) noble; urgency=medium

  * Remove build dependency on python3.11-venv.
  * Remove autopkg test dependency on python3.11-venv.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Mar 2024 14:17:25 +0100

poetry (1.8.2+dfsg-1) unstable; urgency=medium

  * d/control: Pin python3-poetry-core to 1.9.0.
  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 03 Mar 2024 21:27:53 -0300

poetry (1.8.0.dev0~git20240220.cff4d7d5+dfsg-1) experimental; urgency=medium

  * New upstream version.
  * d/patch: Remove platformdirs-4.patch patch, it was already applied by
    upstream.
  * d/rules: Ignore tests: test_fallback_on_detect_active_python,
    test_get_venv_with_venv_folder_present, test_not_fresh_lock,
    test_list, test_info_setup_complex_calls_script,
    test_executor_known_hashes and test_publish_dist_dir_option. They need
    more work.
    - Also ignore them in d/tests/pytest.
  * d/tests/simple-commands-run: Add new autopkgtest test to run `poetry
    add` and `poetry update`. This to detect some errors in those simple
    commands (Closes: #1058670).
  * d/tests/control: Add a superficial tests to run `poetry -v` (Closes:
    #1029480).
  * d/control: Add python3-poetry-plugin-export as Build Depends (Closes:
    #1059356).
    - d/rules: Activate test_export_prints_warning and
    test_disable_export_warning tests that need poetry-plugin-export.
    - Also activate those tests in d/tests/pytest.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 22 Feb 2024 18:12:00 -0300

poetry (1.7.1+dfsg-1) unstable; urgency=medium

  [Stefano Rivera]
  * Patch: Loosen platformdirs dependency.
  * Recommend python3-trove-classifiers for check (Closes: #1030310).

  [Emmanuel Arias]
  * New upstream release (Closes: #1056144).
  * d/rules: Deactvate tests that need more works:
    test_prepare_directory_with_extensions, test_export_prints_warning,
    test_disable_export_warning,
    test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess,
    test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess_encoding,
    test_isolated_env_install_success, test_isolated_env_install_error,
    test_isolated_env_install_failure, test_application_with_plugins,
    test_build_system_requires_not_available,
    test_build_system_requires_install_failure and
    test_prepare_directory_script.
    - Reply it in d/test/pytest file.
  * d/control: Pin python3-poetry-core to 1.8.1.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 10 Nov 2023 20:16:27 -0300
