=== debian/control ===
--- 
+++ 
@@ -23,7 +23,8 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 1.6.1),
+               python3-poetry-core (>= 1.9.0),
+               python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
                python3-pytest (>= 6.0.2) <!nocheck>,
@@ -36,7 +37,6 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
-               python3.11-venv,
 Standards-Version: 4.6.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
@@ -48,6 +48,7 @@
 Depends: python3-lockfile (>= 1:0.12.2),
          ${misc:Depends},
          ${python3:Depends},
+Recommends: python3-trove-classifiers,
 Description: Python dependency management and packaging made easy (Python 3)
  Poetry helps you declare, manage and install dependencies of Python
  projects, ensuring you have the right stack everywhere.
