=== debian/rules ===
--- 
+++ 
@@ -60,9 +60,23 @@
 			and not test_installer_with_pypi_repository \
 			and not test_prepare_directory_editable \
 			and not test_prepare_directory \
-			and not test_prepare_directory_with_extensions'
-
-
+			and not test_prepare_directory_with_extensions \
+			and not test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess \
+			and not test_build_backend_errors_are_reported_correctly_if_caused_by_subprocess_encoding \
+			and not test_isolated_env_install_success \
+			and not test_isolated_env_install_error \
+			and not test_isolated_env_install_failure \
+			and not test_application_with_plugins \
+			and not test_build_system_requires_not_available \
+			and not test_build_system_requires_install_failure \
+			and not test_prepare_directory_script \
+			and not test_fallback_on_detect_active_python \
+			and not test_get_venv_with_venv_folder_present \
+			and not test_not_fresh_lock \
+			and not test_list \
+			and not test_info_setup_complex_calls_script \
+			and not test_publish_dist_dir_option \
+			and not test_executor_known_hashes'
 
 export http_proxy=
 export https_proxy=
