## poetry 1.8.3+dfsg

=== debian/changelog ===
poetry (1.8.3+dfsg-3) unstable; urgency=medium

  * d/control: Remove python3.11-venv from Build Dependency.
    Also remove it from autopkgtest.
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes needed).
  * d/rules: ignore test_execute_executes_a_batch_of_operations,
    test_execute_prints_warning_for_yanked_package
    and test_build_environment_called_build_script_specified tests because
    they use pip, need more investigation (Closes: #1074725).
    - Remove from d/tests/pytest file.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 13 Jul 2024 11:27:40 -0300

poetry (1.8.3+dfsg-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency on obsolete python3-lockfile (see #1073280)
    which itself build-depends on python3-nose.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Jun 2024 22:13:53 +0200

poetry (1.8.3+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-packaging as Build Depends (Closes: #1071071).
  * d/patches/0001-Accept-Python-version-string-with-a-at-the-end.patch:
    Remove patch, it is already fixed in upstream.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 17 May 2024 22:02:27 -0300
