=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
                python3-keyring (>= 22.0.1),
-               python3-lockfile (>= 1:0.12.2),
+               python3-packaging,
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
@@ -37,7 +37,7 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
@@ -45,8 +45,7 @@
 
 Package: python3-poetry
 Architecture: all
-Depends: python3-lockfile (>= 1:0.12.2),
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Recommends: python3-trove-classifiers,
 Description: Python dependency management and packaging made easy (Python 3)
