=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,11 @@
 			and not test_list \
 			and not test_info_setup_complex_calls_script \
 			and not test_publish_dist_dir_option \
-			and not test_executor_known_hashes'
+			and not test_executor_known_hashes \
+			and not test_execute_executes_a_batch_of_operations \
+			and not test_execute_prints_warning_for_yanked_package \
+			and not test_build_environment_called_build_script_specified'
+
 
 export http_proxy=
 export https_proxy=
@@ -86,6 +90,7 @@
 PYVERS := $(shell py3versions -sv)
 
 
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
