## poetry 2.0.1+dfsg

=== debian/changelog ===
poetry (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1093350).
  * d/patches: Remove fix-encoding-warning-with-pep597-enabled.patch and
    skip-test-with-prefer-active-python-key.patch patches, they are not longer
    needed.
  * d/control: Update pin version for python3-poetry-core and python3-cleo.
  * d/patches/0001-Apply-workaround-to-fix-httpretty-with-urllib-2.3.patch: Add
    workaround to fix an issue with httpretty and urlib >= 2.3.
  * d/rules: Ignore tests because they use internet or required old Python
    version: test_build_environment_called_build_script_specified,
    test_solver_ignores_explicit_repo_for_transitive_dependencies,
    test_file_hashes_returns_none_for_blake2_with_fips,
    test_solver_does_not_choose_from_supplemental_repository_by_default,
    test_get_preferred_python_use_poetry_python_disabled,
    test_solver_chooses_from_supplemental_if_explicit,
    test_file_hashes_returns_none_for_md5_with_fips and
    test_file_hashes_returns_proper_hashes_for_file.
    - Also ignore them and test_env_system_packages_are_relative_to_lib in
      d/tests/pytest.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 21 Jan 2025 13:34:34 -0300

poetry (1.8.3+dfsg-4) unstable; urgency=medium

  * d/patches/fix-encoding-warning-with-pep597-enabled.patch: Add patch to fix
    enconding warning with PEP 597 enabled.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 20 Sep 2024 20:48:47 -0300
