=== debian/rules ===
--- 
+++ 
@@ -79,7 +79,14 @@
 			and not test_executor_known_hashes \
 			and not test_execute_executes_a_batch_of_operations \
 			and not test_execute_prints_warning_for_yanked_package \
-			and not test_build_environment_called_build_script_specified'
+			and not test_build_environment_called_build_script_specified \
+			and not test_solver_ignores_explicit_repo_for_transitive_dependencies \
+			and not test_file_hashes_returns_none_for_blake2_with_fips \
+			and not test_solver_does_not_choose_from_supplemental_repository_by_default \
+	                and not test_get_preferred_python_use_poetry_python_disabled \
+	                and not test_solver_chooses_from_supplemental_if_explicit \
+			and not test_file_hashes_returns_none_for_md5_with_fips \
+			and not test_file_hashes_returns_proper_hashes_for_file'
 
 
 export http_proxy=
