## poetry 2.1.1+dfsg

=== debian/changelog ===
poetry (2.1.1+dfsg-3) unstable; urgency=medium

  * d/patches/increase-sleep-time-in-threading-test.patch: Add patch to
    increase the sleep time in a test.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 19 Mar 2025 16:49:59 -0300

poetry (2.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * d/tests/pytest: Ignore test_find_downloadable_versions except on
    amd64/arm64/i386, since pbs_installer doesn't advertise any Python
    builds on other architectures.

 -- Colin Watson <cjwatson@debian.org>  Tue, 18 Mar 2025 11:51:16 +0000

poetry (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-findpython and python3-pbs-installer as Build
    Dependencies.
    - Also pin python3-cleo (>= 2.2.1) and python3-poetry-core (>= 2.1.1).
  * d/patches/0001-Apply-workaround-to-fix-httpretty-with-urllib-2.3.patch:
    Update patch according to new upstream release.
  * d/patches/fix-env-manager.patch: Add patch to fix python command to
    python3.
  * d/rules: Ignore test_shutil_which_python_provider test, it fails while
    looks for python version.
    - d/tests/pytest: Also ignore it in autopkgtest.
  * d/patches/fix-tests.patch: Remove tests that fails for cleo
    find_similar_names gives different values.
    - Also fix test that use incorrect Python version.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 19 Feb 2025 20:04:49 -0300
