=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-all-dev,
                python3-cachecontrol (>= 0.12.6),
                python3-cachy (>= 0.3.0),
-               python3-cleo (>= 2.1.0),
+               python3-cleo (>= 2.2.1),
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
                python3-deepdiff <!nocheck>,
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.0.1),
+               python3-poetry-core (>= 2.1.1),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
@@ -37,6 +37,8 @@
                python3-trove-classifiers,
                python3-venv,
                python3-virtualenv (>= 20.4.0),
+               python3-findpython,
+               python3-pbs-installer,
 Standards-Version: 4.7.0
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
