## poetry 2.1.2%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.1.1),
+               python3-poetry-core (>= 2.1.2),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
@@ -39,7 +39,7 @@
                python3-virtualenv (>= 20.4.0),
                python3-findpython,
                python3-pbs-installer,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://python-poetry.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/poetry
