## poetry 2.1.2+dfsg

=== debian/changelog ===
poetry (2.1.2+dfsg-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Update pin version of poetry-core.
  * d/control: Bump Standards-Version to 4.7.2 (from 4.7.0; no further
    changes needed).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 03 Apr 2025 20:49:58 -0300
