=== debian/watch ===
version=4
opts=\
repack,\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/python-poetry/poetry/tags .*/v?(\d[\d\.]*)\.tar\.gz
