## poetry 2.2.1+dfsg

=== debian/changelog ===
poetry (2.2.1+dfsg-2) unstable; urgency=medium

  * d/control: Add pinned version in python3-dulwich B-Depends
    (Closes: #1118338).

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 23 Oct 2025 23:55:16 -0300

poetry (2.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version (Closes: #1114265).
  * d/control: Update pin version of poetry-core.
  * d/patches: Update patches according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 05 Oct 2025 17:35:07 -0300
