=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-clikit (>= 0.6.2),
                python3-crashtest (>= 0.3.1),
                python3-deepdiff <!nocheck>,
-               python3-dulwich,
+               python3-dulwich (>=0.24.0),
                python3-html5lib (>= 0.3.1),
                python3-httpretty (>= 1.0.5) <!nocheck>,
                python3-jsonschema (>= 3.2.0),
@@ -23,7 +23,7 @@
                python3-pexpect (>= 4.8.0),
                python3-pip,
                python3-pkginfo (>= 1.7.0),
-               python3-poetry-core (>= 2.1.2),
+               python3-poetry-core (>= 2.2.1),
                python3-poetry-plugin-export,
                python3-pyparsing (>= 2.4.7) <!nocheck>,
                python3-pyrsistent (>= 0.15.5) <!nocheck>,
