=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,8 @@
 	                and not test_get_preferred_python_use_poetry_python_disabled \
 	                and not test_solver_chooses_from_supplemental_if_explicit \
 			and not test_file_hashes_returns_none_for_md5_with_fips \
-			and not test_file_hashes_returns_proper_hashes_for_file'
+			and not test_file_hashes_returns_proper_hashes_for_file \
+			and not test_shutil_which_python_provider'
 
 
 export http_proxy=
