=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Tests: pytest
-Depends: git,
+Depends: gcc,
+         git,
          python3-all,
+         python3-all-dev,
          python3-cachecontrol,
          python3-cachy,
          python3-deepdiff,
@@ -12,7 +14,15 @@
          python3-pytest,
          python3-pytest-mock,
          python3-pytest-xdist,
+         python3-tomlkit,
+         python3-trove-classifiers,
          python3-venv,
-         python3.11-venv,
          @,
 Restrictions: allow-stderr, needs-root
+
+Tests: simple-commands-run
+Depends: @
+Restrictions: allow-stderr, needs-root, needs-internet
+
+Test-Command: poetry -v
+Restrictions: superficial
